Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class RepositoryEvent

    java.lang.Object
      java.util.EventObject
          org.openide.filesystems.RepositoryEvent

All Implemented Interfaces:
  Serializable

    public class RepositoryEvent

extends EventObject

Event describing adding a filesystem to, or removing a filesystem from, the filesystem pool.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RepositoryEvent(Repository fsp, FileSystem fs, boolean add)` Create a new filesystem pool event.

Method Summary
`FileSystem` | `getFileSystem()` Getter for the filesystem that is added or removed.
`Repository` | `getRepository()` Getter for the filesystem pool that is modified.
`boolean` | `isAdded()` Is the filesystem added or removed?

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryEvent

    public RepositoryEvent(Repository fsp,
                           FileSystem fs,
                           boolean add)

  Create a new filesystem pool event.

  Parameters:
    `fsp` - filesystem pool that is being modified
    `fs` - filesystem that is either being added or removed
    `add` - `true` if the filesystem is added, `false` if removed

Method Detail

### getRepository

    public Repository getRepository()

  Getter for the filesystem pool that is modified.

  Returns:
    the filesystem pool

### getFileSystem

    public FileSystem getFileSystem()

  Getter for the filesystem that is added or removed.

  Returns:
    the filesystem

### isAdded

    public boolean isAdded()

  Is the filesystem added or removed?

  Returns:
    `true` if the filesystem is added, `false` if removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.